=== modified file 'drizzled/drizzled.cc'
--- drizzled/drizzled.cc	2009-03-12 18:51:11 +0000
+++ drizzled/drizzled.cc	2009-03-12 19:38:25 +0000
@@ -404,7 +404,6 @@
 pthread_rwlock_t	LOCK_system_variables_hash;
 pthread_cond_t COND_refresh, COND_thread_count, COND_global_read_lock;
 pthread_t signal_thread;
-pthread_attr_t connection_attrib;
 pthread_cond_t  COND_server_started;
 
 /* replication parameters, if master_host is not NULL, we are a slave */
@@ -1556,19 +1555,6 @@
   (void) pthread_cond_init(&COND_refresh,NULL);
   (void) pthread_cond_init(&COND_global_read_lock,NULL);
 
-  /* Parameter for threads created for connections */
-  (void) pthread_attr_init(&connection_attrib);
-  (void) pthread_attr_setdetachstate(&connection_attrib,
-				     PTHREAD_CREATE_DETACHED);
-  pthread_attr_setscope(&connection_attrib, PTHREAD_SCOPE_SYSTEM);
-  {
-    struct sched_param tmp_sched_param;
-
-    memset(&tmp_sched_param, 0, sizeof(tmp_sched_param));
-    tmp_sched_param.sched_priority= WAIT_PRIOR;
-    (void)pthread_attr_setschedparam(&connection_attrib, &tmp_sched_param);
-  }
-
   if (pthread_key_create(&THR_Session,NULL) ||
       pthread_key_create(&THR_Mem_root,NULL))
   {
@@ -1761,6 +1747,7 @@
 
   init_signals();
 
+#ifdef TODO_MOVE_OUT_TO_SCHEDULER_API
   pthread_attr_setstacksize(&connection_attrib, my_thread_stack_size);
 
 #ifdef HAVE_PTHREAD_ATTR_GETSTACKSIZE
@@ -1782,6 +1769,7 @@
     }
   }
 #endif
+#endif
 
   select_thread=pthread_self();
   select_thread_in_use=1;

=== modified file 'drizzled/sql_base.cc'
--- drizzled/sql_base.cc	2009-03-09 17:20:33 +0000
+++ drizzled/sql_base.cc	2009-03-12 19:38:25 +0000
@@ -6165,23 +6165,6 @@
 
 void kill_drizzle(void)
 {
-
-#if defined(SIGNALS_DONT_BREAK_READ)
-  abort_loop=1;					// Break connection loops
-  close_server_sock();				// Force accept to wake up
-#endif
-
   pthread_kill(signal_thread, SIGTERM);
-  shutdown_in_progress=1;			// Safety if kill didn't work
-#ifdef SIGNALS_DONT_BREAK_READ
-  if (!kill_in_progress)
-  {
-    pthread_t tmp;
-    abort_loop=1;
-    if (pthread_create(&tmp,&connection_attrib, kill_server_thread,
-			   (void*) 0))
-      errmsg_printf(ERRMSG_LVL_ERROR, _("Can't create thread to kill server"));
-  }
-#endif
-  return;;
+  shutdown_in_progress= 1;			// Safety if kill didn't work
 }

=== modified file 'plugin/multi_thread/multi_thread.cc'
--- plugin/multi_thread/multi_thread.cc	2009-03-11 22:01:46 +0000
+++ plugin/multi_thread/multi_thread.cc	2009-03-12 19:38:25 +0000
@@ -75,8 +75,15 @@
   /* Parameter for threads created for connections */
   (void) pthread_attr_init(&multi_thread_attrib);
   (void) pthread_attr_setdetachstate(&multi_thread_attrib,
-                                     PTHREAD_CREATE_DETACHED);
+				     PTHREAD_CREATE_DETACHED);
   pthread_attr_setscope(&multi_thread_attrib, PTHREAD_SCOPE_SYSTEM);
+  {
+    struct sched_param tmp_sched_param;
+
+    memset(&tmp_sched_param, 0, sizeof(tmp_sched_param));
+    tmp_sched_param.sched_priority= WAIT_PRIOR;
+    (void)pthread_attr_setschedparam(&multi_thread_attrib, &tmp_sched_param);
+  }
 
   return 0;
 }

=== modified file 'plugin/pool_of_threads/pool_of_threads.cc'
--- plugin/pool_of_threads/pool_of_threads.cc	2009-03-11 22:01:46 +0000
+++ plugin/pool_of_threads/pool_of_threads.cc	2009-03-12 19:38:25 +0000
@@ -31,6 +31,8 @@
 static volatile uint32_t created_threads= 0;
 static volatile bool kill_pool_threads= false;
 
+static pthread_attr_t thread_attrib;
+
 static int deinit(void *);
 
 static struct event session_add_event;
@@ -135,8 +137,7 @@
   {
     pthread_t thread;
     int error;
-    if ((error= pthread_create(&thread, &connection_attrib,
-                               libevent_thread_proc, 0)))
+    if ((error= pthread_create(&thread, &thread_attrib, libevent_thread_proc, 0)))
     {
       errmsg_printf(ERRMSG_LVL_ERROR, _("Can't create completion port thread (error %d)"),
                       error);
@@ -583,6 +584,19 @@
   func->add_connection= add_connection;
   func->count= count_of_threads;
 
+  /* Parameter for threads created for connections */
+  (void) pthread_attr_init(&thread_attrib);
+  (void) pthread_attr_setdetachstate(&thread_attrib,
+				     PTHREAD_CREATE_DETACHED);
+  pthread_attr_setscope(&thread_attrib, PTHREAD_SCOPE_SYSTEM);
+  {
+    struct sched_param tmp_sched_param;
+
+    memset(&tmp_sched_param, 0, sizeof(tmp_sched_param));
+    tmp_sched_param.sched_priority= WAIT_PRIOR;
+    (void)pthread_attr_setschedparam(&thread_attrib, &tmp_sched_param);
+  }
+
   return (int)libevent_init();
 }
 

